PETSc version 3.15.5
Fix/Edit manual page

# PCBDDCSetLocalAdjacencyGraph

Set adjacency structure (CSR graph) of the local degrees of freedom.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetLocalAdjacencyGraph(PC pc,PetscInt nvtxs,const PetscInt xadj[],const PetscInt adjncy[], PetscCopyMode copymode)

Not collective

### Input Parameters

| pc | - the preconditioning context.
| nvtxs | - number of local vertices of the graph (i.e., the number of local dofs).
| xadj, adjncy | - the connectivity of the dofs in CSR format.
| copymode | - supported modes are PETSC_COPY_VALUES, PETSC_USE_POINTER or PETSC_OWN_POINTER.

### Notes

A dof is considered connected with all local dofs if xadj[dof+1]-xadj[dof] == 1 and adjncy[xadj[dof]] is negative.

### See Also

PCBDDC,PetscCopyMode

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Examples

src/ksp/ksp/tutorials/ex59.c.html

### Implementations

PCBDDCSetLocalAdjacencyGraph_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages